package com.yanzhu.project.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.annotation.Excel;
import com.yanzhu.common.core.domain.BaseEntity;

/**
 * 项目申请明细对象 pro_project_apply_detail
 * 
 * @author yanZhu
 * @date 2024-02-23
 */
public class ProProjectApplyDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 申请主键 */
    @Excel(name = "申请主键")
    private Long applyId;

    /** 大类主键 */
    @Excel(name = "大类主键")
    private String superTypeKey;

    /** 大类名称 */
    @Excel(name = "大类名称")
    private String superTypeName;

    /** 类型主键 */
    @Excel(name = "类型主键")
    private Long typeId;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** 资产主键 */
    @Excel(name = "资产主键")
    private Long assetsId;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String assetsName;

    /** 资产单位 */
    @Excel(name = "资产单位")
    private String assetsUnit;

    /** 数量 */
    @Excel(name = "数量")
    private Long number;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useTime;

    /** 使用原因 */
    @Excel(name = "使用原因")
    private String useReason;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal totalPrice;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setSuperTypeKey(String superTypeKey)
    {
        this.superTypeKey = superTypeKey;
    }

    public String getSuperTypeKey()
    {
        return superTypeKey;
    }
    public void setSuperTypeName(String superTypeName) 
    {
        this.superTypeName = superTypeName;
    }

    public String getSuperTypeName() 
    {
        return superTypeName;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setAssetsId(Long assetsId) 
    {
        this.assetsId = assetsId;
    }

    public Long getAssetsId() 
    {
        return assetsId;
    }
    public void setAssetsName(String assetsName) 
    {
        this.assetsName = assetsName;
    }

    public String getAssetsName() 
    {
        return assetsName;
    }
    public void setAssetsUnit(String assetsUnit) 
    {
        this.assetsUnit = assetsUnit;
    }

    public String getAssetsUnit() 
    {
        return assetsUnit;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setUseTime(Date useTime) 
    {
        this.useTime = useTime;
    }

    public Date getUseTime() 
    {
        return useTime;
    }
    public void setUseReason(String useReason) 
    {
        this.useReason = useReason;
    }

    public String getUseReason() 
    {
        return useReason;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setTotalPrice(BigDecimal totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalPrice() 
    {
        return totalPrice;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyId", getApplyId())
            .append("superTypeId", getSuperTypeKey())
            .append("superTypeName", getSuperTypeName())
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("assetsId", getAssetsId())
            .append("assetsName", getAssetsName())
            .append("assetsUnit", getAssetsUnit())
            .append("number", getNumber())
            .append("useTime", getUseTime())
            .append("useReason", getUseReason())
            .append("price", getPrice())
            .append("totalPrice", getTotalPrice())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
